import { LightDarkColorType } from './types';
import { mixColors } from './util';
export type AccentBColorNameType = 'B100' | 'B90' | 'B80' | 'B70' | 'B60' | 'B50' | 'B40' | 'B30' | 'B20' | 'B10';

export const createAccentBColors = (): Record<AccentBColorNameType, LightDarkColorType> => {
    const base: Record<AccentBColorNameType, string> = {
        B100: '#641034',
        B90: '#7F2845',
        B80: '#9A4056',
        B70: '#B45766',
        B60: '#CF6F77',
        B50: '#DC9498',
        B40: '#E8B9B9',
        B30: '#F5DEDA',
        B20: '#F5E6E5',
        B10: '#F4EEEF',
    };
    return mixColors(base, 'B');
};
/* export const secondaryB = {
    B10: {
        light: '#F4EEEF',
        dark: '#641034',
    },
    B20: {
        light: '#F5E6E5',
        dark: '#7F2845',
    },
    B30: {
        light: '#F5DEDA',
        dark: '#9A4056',
    },
    B40: {
        light: '#E8B9B9',
        dark: '#B45766',
    },
    B50: {
        light: '#DC9498',
        dark: '#CF6F77',
    },
    B60: {
        light: '#CF6F77',
        dark: '#DC9498',
    },
    B70: {
        light: '#B45766',
        dark: '#E8B9B9',
    },
    B80: {
        light: '#9A4056',
        dark: '#F5DEDA',
    },
    B90: {
        light: '#7F2845',
        dark: '#F5E6E5',
    },
    B100: {
        light: '#641034',
        dark: '#F4EEEF',
    },
};
 */
