import { LightDarkColorType } from './types';
import { /* createFromLightDarkBase, */ mixColors } from './util';
export type AccentDColorNameType = 'D100' | 'D90' | 'D80' | 'D70' | 'D60' | 'D50' | 'D40' | 'D30' | 'D20' | 'D10';

export const createAccentDColors = (): Record<AccentDColorNameType, LightDarkColorType> => {
    const paletteBase = {
        D100: '#DB7B51',
        D90: '#E37C41', // (TR90)
        D80: '#EC7C30',
        D70: '#F47D20',
        D60: '#F49748', // (Brand Primary)
        D50: '#F4B170',
        D40: '#F4CB98',
        D30: '#F4E5C0',
        D20: '#F2E5CC',
        D10: '#EFE5D7', // (Brand Accent)
    };
    return mixColors(paletteBase, 'D');
    // return createFromLightDarkBase(paletteBase, paletteDarkBase);
};
/*
    const base = {
        D100: '#EB6512',
        D90: '#F47D20', // (TR90)
        D80: '#EF9053',
        D70: '#F1A574',
        D60: '#F3BA94', // (Brand Primary)
        D50: '#F6C8AA',
        D40: '#F8D6BF',
        D30: '#FBE3D5',
        D20: '#FDF1EA',
        D10: '#FFEAC5', // (Brand Accent)
    };

    const darkBase = {
        D100: '#F8D6BF',
        D90: '#FDF1EA', // (TR90)
        D80: '#F6C8AA',
        D70: '#FFAC78',
        D60: '#EB6512', // (Brand Primary)
        D50: '#F1A574',
        D40: '#EB6512',
        D30: '#EF9053',
        D20: '#ED7A33',
        D10: '#FFAC78', //  (Brand Accent)
    };
    const paletteDarkBase = {
        D100: paletteBase.D10,
        D90: paletteBase.D20, // (TR90)
        D80: paletteBase.D30,
        D70: paletteBase.D40,
        D60: paletteBase.D50, // (Brand Primary)
        D50: paletteBase.D60,
        D40: paletteBase.D70,
        D30: paletteBase.D80,
        D20: paletteBase.D90,
        D10: paletteBase.D100, // (Brand Accent)
    };
    const darkBase = {
        D100: base.D40,
        D90: base.D20, // (TR90)
        D80: base.D50,
        D70: '#FFAC78',
        D60: base.D100, // (Brand Primary)
        D50: '#F1A574',
        D40: base.D100,
        D30: base.D80,
        D20: '#ED7A33',
        D10: '#FFAC78', //  (Brand Accent)
    };

export const AccentDColors = {
    "D10": {
        "light": "#EFE5D7",
        "dark": "#DB7B51"
    },
    "D20": {
        "light": "#F2E5CC",
        "dark": "#E37C41"
    },
    "D30": {
        "light": "#F4E5C0",
        "dark": "#EC7C30"
    },
    "D40": {
        "light": "#F4CB98",
        "dark": "#F47D20"
    },
    "D50": {
        "light": "#F4B170",
        "dark": "#F49748"
    },
    "D60": {
        "light": "#F49748",
        "dark": "#F4B170"
    },
    "D70": {
        "light": "#F47D20",
        "dark": "#F4CB98"
    },
    "D80": {
        "light": "#EC7C30",
        "dark": "#F4E5C0"
    },
    "D90": {
        "light": "#E37C41",
        "dark": "#F2E5CC"
    },
    "D100": {
        "light": "#DB7B51",
        "dark": "#EFE5D7"
    }
}
 */
