import { LightDarkColorType } from './types';
import { mixColors } from './util';
export type ErrorColorNameType =
    | 'Error-100'
    | 'Error-90'
    | 'Error-80'
    | 'Error-70'
    | 'Error-60'
    | 'Error-50'
    | 'Error-40'
    | 'Error-30'
    | 'Error-20'
    | 'Error-10';

export const createErrorColors = (): Record<ErrorColorNameType, LightDarkColorType> => {
    const base: any = {
        'Error-100': '#510B0E', // hsla(357, 76%, 18%, 1)
        'Error-90': '#8E0009', // hsla(356, 100%, 28%, 1)
        'Error-80': '#AC040E', // hsla(356, 95%, 35%, 1)
        'Error-70': '#BA1116', // hsla(358, 83%, 40%, 1)
        'Error-60': '#C81D1D', // hsla(0, 75%, 45%, 1)
        'Error-50': '#C24A4E', // hsla(358, 50%, 53%, 1)
        'Error-40': '#D17376', // hsla(358, 51%, 64%, 1)
        'Error-30': '#E19D9F', // hsla(358, 53%, 75%, 1)
        'Error-20': '#F0C6C7', // hsla(359, 58%, 86%, 1)
        'Error-10': '#FFEFEF', // hsla(0, 100%, 97%, 1)
    };
    return mixColors(base, 'Error-');
};
/* export const error = {
    'Error-10': {
        light: '#FFEFEF',
        dark: '#510B0E',
    },
    'Error-20': {
        light: '#F0C6C7',
        dark: '#8E0009',
    },
    'Error-30': {
        light: '#E19D9F',
        dark: '#AC040E',
    },
    'Error-40': {
        light: '#D17376',
        dark: '#BA1116',
    },
    'Error-50': {
        light: '#C24A4E',
        dark: '#C81D1D',
    },
    'Error-60': {
        light: '#C81D1D',
        dark: '#C24A4E',
    },
    'Error-70': {
        light: '#BA1116',
        dark: '#D17376',
    },
    'Error-80': {
        light: '#AC040E',
        dark: '#E19D9F',
    },
    'Error-90': {
        light: '#8E0009',
        dark: '#F0C6C7',
    },
    'Error-100': {
        light: '#510B0E',
        dark: '#FFEFEF',
    },
};
 */
