import { LightDarkColorType } from './types';
import { mixColors } from './util';
export type NeutralColorNameType = 'N100' | 'N90' | 'N80' | 'N70' | 'N60' | 'N50' | 'N40' | 'N30' | 'N20' | 'N10';

export const createNeutralColors = (): Record<NeutralColorNameType, LightDarkColorType> => {
    const base: Record<NeutralColorNameType, string> = {
        N100: '#252525',
        N90: '#121212',
        N80: '#383838',
        N70: '#5F5F5F',
        N60: '#8C8C8C',
        N50: '#B2B2B2',
        N40: '#E0E0E0',
        N30: '#EDEDED',
        N20: '#F5F5F5',
        N10: '#FFFFFF',
    };
    return mixColors(base, 'N');
};
/* export const neutral = {
    {
    "N10": {
        "light": "#FFFFFF",
        "dark": "#252525"
    },
    "N20": {
        "light": "#F5F5F5",
        "dark": "#121212"
    },
    "N30": {
        "light": "#EDEDED",
        "dark": "#383838"
    },
    "N40": {
        "light": "#E0E0E0",
        "dark": "#5F5F5F"
    },
    "N50": {
        "light": "#B2B2B2",
        "dark": "#8C8C8C"
    },
    "N60": {
        "light": "#8C8C8C",
        "dark": "#B2B2B2"
    },
    "N70": {
        "light": "#5F5F5F",
        "dark": "#E0E0E0"
    },
    "N80": {
        "light": "#383838",
        "dark": "#EDEDED"
    },
    "N90": {
        "light": "#121212",
        "dark": "#F5F5F5"
    },
    "N100": {
        "light": "#252525",
        "dark": "#FFFFFF"
    }
}
};
 */
