import { LightDarkColorType } from './types';
import { createFromLightDarkBase } from './util';

export type RenuSpaColorNameType =
    | 'Renu-Primary-A'
    | 'Renu-Primary-B'
    | 'Renu-Secondary-A'
    | 'Renu-Secondary-B'
    | 'Renu-Secondary-C'
    | 'Renu-NewPurple'
    | 'Renu-LightPurpleBG';
export const createRenuColors = (): Record<RenuSpaColorNameType, LightDarkColorType> => {
    const base: Record<RenuSpaColorNameType, string> = {
        'Renu-Primary-A': '#726477',
        'Renu-Primary-B': '#ADA4AE',
        'Renu-Secondary-A': '#DEDBDF',
        'Renu-Secondary-B': '#DFDCDB',
        'Renu-Secondary-C': '#DADDDE',
        'Renu-NewPurple': '#C3A4F4',
        'Renu-LightPurpleBG': '#F2F0F7',
    };
    const darkBase: Record<RenuSpaColorNameType, string> = {
        'Renu-Primary-A': '#88788E',
        'Renu-Primary-B': '#4C484D',
        'Renu-Secondary-A': '#282828',
        'Renu-Secondary-B': '#282827',
        'Renu-Secondary-C': '#2D2D2E',
        'Renu-NewPurple': '#15121B',
        'Renu-LightPurpleBG': '#111112',
    };
    return createFromLightDarkBase(base, darkBase);
};

/* export const RenuColors = {
    'Renu-Primary-A': {
        light: '#726477',
        dark: '#88788E',
    },
    'Renu-Primary-B': {
        light: '#ADA4AE',
        dark: '#4C484D',
    },
    'Renu-Secondary-A': {
        light: '#DEDBDF',
        dark: '#282828',
    },
    'Renu-Secondary-B': {
        light: '#DFDCDB',
        dark: '#282827',
    },
    'Renu-Secondary-C': {
        light: '#DADDDE',
        dark: '#2D2D2E',
    },
    'Renu-NewPurple': {
        light: '#C3A4F4',
        dark: '#15121B',
    },
    'Renu-LightPurpleBG': {
        light: '#F2F0F7',
        dark: '#111112',
    },
}; */
