import { LightDarkColorType } from './types';
import { mixColors } from './util';

export type WarningColorNameType =
    | 'Warning-100'
    | 'Warning-90'
    | 'Warning-80'
    | 'Warning-70'
    | 'Warning-60'
    | 'Warning-50'
    | 'Warning-40'
    | 'Warning-30'
    | 'Warning-20'
    | 'Warning-10';

export const createWarningColors = (): Record<WarningColorNameType, LightDarkColorType> => {
    const base: Record<WarningColorNameType, string> = {
        'Warning-100': '#BC4F01', // hsla(25, 99%, 37%, 1)
        'Warning-90': '#DF5F03', //  (Pressed) hsla(25, 97%, 44%, 1)
        'Warning-80': '#ED7219', // hsla(25, 85%, 51%, 1)
        'Warning-70': '#FB842E', //  (Hover) hsla(25, 96%, 58%, 1)
        'Warning-60': '#FD983B', //  (Main) hsla(29, 98%, 61%, 1)
        'Warning-50': '#FEA95C', // hsla(29, 99%, 68%, 1)
        'Warning-40': '#FEBA7C', // (Border) hsla(29, 98%, 74%, 1)
        'Warning-30': '#FECDA0', // hsla(29, 98%, 81%, 1)
        'Warning-20': '#FFE0C4', // hsla(28, 100%, 88%, 1)
        'Warning-10': '#FFF3E8', // (Background) hsla(29, 100%, 95%, 1)
    };
    return mixColors(base, 'Warning-');
};
/* export const WarningColors = {
    'Warning-10': {
        light: '#FFF3E8',
        dark: '#BC4F01',
    },
    'Warning-20': {
        light: '#FFE0C4',
        dark: '#DF5F03',
    },
    'Warning-30': {
        light: '#FECDA0',
        dark: '#ED7219',
    },
    'Warning-40': {
        light: '#FEBA7C',
        dark: '#FB842E',
    },
    'Warning-50': {
        light: '#FEA95C',
        dark: '#FD983B',
    },
    'Warning-60': {
        light: '#FD983B',
        dark: '#FEA95C',
    },
    'Warning-70': {
        light: '#FB842E',
        dark: '#FEBA7C',
    },
    'Warning-80': {
        light: '#ED7219',
        dark: '#FECDA0',
    },
    'Warning-90': {
        light: '#DF5F03',
        dark: '#FFE0C4',
    },
    'Warning-100': {
        light: '#BC4F01',
        dark: '#FFF3E8',
    },
};
 */
