import { createAccentAColors } from '../AccentA';

describe('AccentA', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createAccentAColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createAccentAColors();
        expect(result).toEqual({
            A100: {
                light: '#14324F',
                dark: '#E5EDF6',
            },
            A90: {
                light: '#314E72',
                dark: '#DAE3ED',
            },
            A80: {
                light: '#4D6995',
                dark: '#CED9E4',
            },
            A70: {
                light: '#677FA5',
                dark: '#B4C3D4',
            },
            A60: {
                light: '#8196B5',
                dark: '#9AACC4',
            },
            A50: {
                light: '#9AACC4',
                dark: '#8196B5',
            },
            A40: {
                light: '#B4C3D4',
                dark: '#677FA5',
            },
            A30: {
                light: '#CED9E4',
                dark: '#4D6995',
            },
            A20: {
                light: '#DAE3ED',
                dark: '#314E72',
            },
            A10: {
                light: '#E5EDF6',
                dark: '#14324F',
            },
        });
    });
});
