import { createAccentCColors } from '../AccentC';

describe('AccentC', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createAccentCColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createAccentCColors();
        expect(result).toEqual({
            C10: {
                light: '#D7E8D2',
                dark: '#405E50',
            },
            C20: {
                light: '#C5DBC5',
                dark: '#4D7160',
            },
            C30: {
                light: '#B2CDB7',
                dark: '#5B8571',
            },
            C40: {
                light: '#A0C0AA',
                dark: '#689881',
            },
            C50: {
                light: '#8DB39C',
                dark: '#7BA58F',
            },
            C60: {
                light: '#7BA58F',
                dark: '#8DB39C',
            },
            C70: {
                light: '#689881',
                dark: '#A0C0AA',
            },
            C80: {
                light: '#5B8571',
                dark: '#B2CDB7',
            },
            C90: {
                light: '#4D7160',
                dark: '#C5DBC5',
            },
            C100: {
                light: '#405E50',
                dark: '#D7E8D2',
            },
        });
    });
});
