import { createAccentDColors } from '../AccentD';

describe('AccentD', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createAccentDColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createAccentDColors();
        expect(result).toEqual({
            D10: {
                light: '#EFE5D7',
                dark: '#DB7B51',
            },
            D20: {
                light: '#F2E5CC',
                dark: '#E37C41',
            },
            D30: {
                light: '#F4E5C0',
                dark: '#EC7C30',
            },
            D40: {
                light: '#F4CB98',
                dark: '#F47D20',
            },
            D50: {
                light: '#F4B170',
                dark: '#F49748',
            },
            D60: {
                light: '#F49748',
                dark: '#F4B170',
            },
            D70: {
                light: '#F47D20',
                dark: '#F4CB98',
            },
            D80: {
                light: '#EC7C30',
                dark: '#F4E5C0',
            },
            D90: {
                light: '#E37C41',
                dark: '#F2E5CC',
            },
            D100: {
                light: '#DB7B51',
                dark: '#EFE5D7',
            },
        });
    });
});
