import { createAccentEColors } from '../AccentE';

describe('AccentE', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createAccentEColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createAccentEColors();
        expect(result).toEqual({
            E10: {
                light: '#F8F7FA',
                dark: '#41396C',
            },
            E20: {
                light: '#F0EFF5',
                dark: '#534A83',
            },
            E30: {
                light: '#DDDAE8',
                dark: '#655B9A',
            },
            E40: {
                light: '#C4BFDA',
                dark: '#776CB1',
            },
            E50: {
                light: '#AAA3CD',
                dark: '#9188BF',
            },
            E60: {
                light: '#9188BF',
                dark: '#AAA3CD',
            },
            E70: {
                light: '#776CB1',
                dark: '#C4BFDA',
            },
            E80: {
                light: '#655B9A',
                dark: '#DDDAE8',
            },
            E90: {
                light: '#534A83',
                dark: '#F0EFF5',
            },
            E100: {
                light: '#41396C',
                dark: '#F8F7FA',
            },
        });
    });
});
