import { createLumiColors } from '../LumiSpa';

describe('Lumi', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createLumiColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createLumiColors();
        expect(result).toEqual({
            'Lumi-Primary-A': {
                light: '#99D6EA',
                dark: '#273539',
            },
            'Lumi-Primary-B': {
                light: '#69B3E7',
                dark: '#0B1F2E',
            },
            'Lumi-Secondary-A': {
                light: '#BB29BB',
                dark: '#4F104F',
            },
            'Lumi-Secondary-Grey': {
                light: '#75787B',
                dark: '#8A8F94',
            },
            'Lumi-Secondary-C': {
                light: '#C7EBF2',
                dark: '#021B20',
            },
        });
    });
});
