import { createNeutralColors } from '../NeutralColors';

describe('Neutral', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createNeutralColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createNeutralColors();
        expect(result).toEqual({
            N10: {
                light: '#FFFFFF',
                dark: '#252525',
            },
            N20: {
                light: '#F5F5F5',
                dark: '#121212',
            },
            N30: {
                light: '#EDEDED',
                dark: '#383838',
            },
            N40: {
                light: '#E0E0E0',
                dark: '#5F5F5F',
            },
            N50: {
                light: '#B2B2B2',
                dark: '#8C8C8C',
            },
            N60: {
                light: '#8C8C8C',
                dark: '#B2B2B2',
            },
            N70: {
                light: '#5F5F5F',
                dark: '#E0E0E0',
            },
            N80: {
                light: '#383838',
                dark: '#EDEDED',
            },
            N90: {
                light: '#121212',
                dark: '#F5F5F5',
            },
            N100: {
                light: '#252525',
                dark: '#FFFFFF',
            },
        });
    });
});
