import { createSuccessColors } from '../SuccessColors';

describe('Success', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createSuccessColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createSuccessColors();
        expect(result).toEqual({
            'Success-10': {
                light: '#F3FFF9',
                dark: '#066100',
            },
            'Success-20': {
                light: '#C4F1C4',
                dark: '#0D870D',
            },
            'Success-30': {
                light: '#9CE29C',
                dark: '#2C9B2B',
            },
            'Success-40': {
                light: '#8CD88B',
                dark: '#4AAE49',
            },
            'Success-50': {
                light: '#7BCF7B',
                dark: '#6BC56A',
            },
            'Success-60': {
                light: '#6BC56A',
                dark: '#7BCF7B',
            },
            'Success-70': {
                light: '#4AAE49',
                dark: '#8CD88B',
            },
            'Success-80': {
                light: '#2C9B2B',
                dark: '#9CE29C',
            },
            'Success-90': {
                light: '#0D870D',
                dark: '#C4F1C4',
            },
            'Success-100': {
                light: '#066100',
                dark: '#F3FFF9',
            },
        });
    });
});
