import { createWarningColors } from '../WarningColors';

describe('Warning', () => {
    it('1. should match dark and light color keys', () => {
        const colors = createWarningColors();
        for (let lightDarkColor of Object.values(colors)) {
            expect(lightDarkColor.light).toHaveLength(7);
            expect(lightDarkColor.dark).toHaveLength(7);
        }
    });
    it('2. should return the correct object', () => {
        const result = createWarningColors();
        expect(result).toEqual({
            'Warning-10': {
                light: '#FFF3E8',
                dark: '#BC4F01',
            },
            'Warning-20': {
                light: '#FFE0C4',
                dark: '#DF5F03',
            },
            'Warning-30': {
                light: '#FECDA0',
                dark: '#ED7219',
            },
            'Warning-40': {
                light: '#FEBA7C',
                dark: '#FB842E',
            },
            'Warning-50': {
                light: '#FEA95C',
                dark: '#FD983B',
            },
            'Warning-60': {
                light: '#FD983B',
                dark: '#FEA95C',
            },
            'Warning-70': {
                light: '#FB842E',
                dark: '#FEBA7C',
            },
            'Warning-80': {
                light: '#ED7219',
                dark: '#FECDA0',
            },
            'Warning-90': {
                light: '#DF5F03',
                dark: '#FFE0C4',
            },
            'Warning-100': {
                light: '#BC4F01',
                dark: '#FFF3E8',
            },
        });
    });
});
